ZielOrdner = "C:\ICD"
ZielOrdnerEpikrisen = "C:\Epikrisen"

Set MyShell = Wscript.CreateObject("Wscript.Shell")
Set MyFiles = CreateObject("Scripting.FileSystemObject")

On Error Resume Next ' Luft Word ?
Set Word = GetObject(, "Word.Application")
If Err.Number <> 0 Then ' Word luft nicht
  Err.Clear ' Clear Err Object In Case error occurred.
  On Error GoTo 0
  'Abfrage
  If MyShell.Popup ("Wenn Sie jetzt ""OK"" drcken, wird " &_
    "per Script eine globale Vorlage installiert. " &_
    "Dazu wird ein Pfad auf Laufwerk ""C:\"" eingerichtet. " &_
    "Der Pfad kann mit dem Script ""aus.vbs""  im " &_
    "gleichen Verzeichnis gelscht werden. " &_
    "Wenn Sie ""Abbrechen"" drcken, wird nichts " &_
    "installiert. Installieren OK?", _
    200, "Erkennung von Diagnosen in Arztbriefen " &_
    "und bernahme der ICD-Kodes", vbOKCancel) = vbOK Then
            myAction
            'MsgBox "Fertig."
  End If
Else
  MsgBox "Sie mssen erst Word beenden!"
  On Error Resume Next
  Word.Activate
  On Error GoTo 0
End If

Set MyFiles = Nothing
Set MyShell = Nothing
Stop 'Ende des Scripts

'#################################################################
Function myAction()

'Quelle mit diesem Script
myAbsolutePath = Wscript.ScriptFullName
myScript = Wscript.ScriptName
myPos = InStr(1, myAbsolutePath, myScript)
MyPath = Left(myAbsolutePath, myPos - 2)

'Ziel-Ordner lschen, falls vorhanden
'ZielOrdner = "C:\ICD"
If MyFiles.FolderExists (ZielOrdner) Then
'  MyFiles.DeleteFolder ZielOrdner
End If

'ICD-Ordner einrichten
If Not MyFiles.FolderExists(ZielOrdner) Then
  MyFiles.CreateFolder ZielOrdner
End If
ZielOrdnerDB = ZielOrdner & "\DB"
If Not MyFiles.FolderExists(ZielOrdnerDB) Then
  MyFiles.CreateFolder ZielOrdnerDB
End If
ZielOrdnerVorlagen = ZielOrdner & "\Vorlagen"
If Not MyFiles.FolderExists(ZielOrdnerVorlagen) Then
  MyFiles.CreateFolder ZielOrdnerVorlagen
End If
ZielOrdnerGlobal = ZielOrdner & "\Global"
If Not MyFiles.FolderExists(ZielOrdnerGlobal) Then
  MyFiles.CreateFolder ZielOrdnerGlobal
End If

'Epikrisen-Ordner einrichten
'ZielOrdnerEpikrisen = "C:\Epikrisen"
If Not MyFiles.FolderExists(ZielOrdnerEpikrisen) Then
  MyFiles.CreateFolder ZielOrdnerEpikrisen
End If
ZielOrdnerEpikrisen = "C:\Epikrisen\Patienten 2002"
If Not MyFiles.FolderExists(ZielOrdnerEpikrisen) Then
  MyFiles.CreateFolder ZielOrdnerEpikrisen
End If
ZielOrdnerEpikrisenAktuell = "C:\Epikrisen\_Aktuell"
If Not MyFiles.FolderExists(ZielOrdnerEpikrisenAktuell) Then
  MyFiles.CreateFolder ZielOrdnerEpikrisenAktuell
End If

'Kopieren, Read-Only-Attribute beseitigen
MyFiles.CopyFile MyPath & "\Thesaurus.mdb", ZielOrdnerDB & "\Thesaurus.mdb"
MyFiles.CopyFile MyPath & "\Medikamente.mdb", ZielOrdnerDB & "\Medikamente.mdb"
MyFiles.CopyFile MyPath & "\Erfolglos.mdb", ZielOrdnerDB & "\Erfolglos.mdb"
Set objFolder = MyFiles.GetFolder(ZielOrdnerDB)
Set colFiles = objFolder.Files
For Each objFile In colFiles
    Set myFileAttr = objFile
    myFileAttr.Attributes = 32   '32 fr Archive, 0 fr Normale Datei
Next
MyFiles.CopyFile MyPath & "\Epikrise.dot", ZielOrdnerVorlagen & "\Epikrise.dot"
MyFiles.CopyFile MyPath & "\KoSi.dot", ZielOrdnerVorlagen & "\KoSi.dot"
MyFiles.CopyFile MyPath & "\Medikamentenverordnung.dot", ZielOrdnerVorlagen & "\Medikamentenverordnung.dot"
Set objFolder = MyFiles.GetFolder(ZielOrdnerVorlagen)
Set colFiles = objFolder.Files
For Each objFile In colFiles
    Set myFileAttr = objFile
    myFileAttr.Attributes = 32
Next
MyFiles.CopyFile MyPath & "\ICD.dot", ZielOrdnerGlobal & "\ICD.dot"
MyFiles.CopyFile MyPath & "\ICD.ini", ZielOrdnerGlobal & "\ICD.ini"
Set objFolder = MyFiles.GetFolder(ZielOrdnerGlobal)
Set colFiles = objFolder.Files
For Each objFile In colFiles
    Set myFileAttr = objFile
    myFileAttr.Attributes = 32   '32 fr Archive, 0 fr Normale Datei
Next
MyFiles.CopyFile MyPath & "\Demo, Gunter-95040815-cs.doc", ZielOrdnerEpikrisenAktuell & "\Demo, Gunter-95040815-cs.doc"
Set objFolder = MyFiles.GetFolder(ZielOrdnerEpikrisenAktuell)
Set colFiles = objFolder.Files
For Each objFile In colFiles
    Set myFileAttr = objFile
    myFileAttr.Attributes = 32   '32 fr Archive, 0 fr Normale Datei
Next

'Startup-Verzeichnis setzen, Makro-Virus-Warnung ausschalten
Set wdAnw = CreateObject("Word.Application")
wdAnw.Visible = False
wdAnw.DisplayAlerts = 0
wdAnw.Application.StartupPath = ZielOrdnerGlobal
wdAnw.Application.Options.VirusProtection = False 'wirkungslos
wdAnw.Quit
Set wdAnw = Nothing


'Word mit Beispiel starten
Set wdAnw = CreateObject("Word.Application")
wdAnw.Visible = True
wdAnw.Application.Documents.Open ZielOrdnerEpikrisenAktuell  &_
  "\Demo, Gunter-95040815-cs.doc"
wdAnw.WindowState = wdWindowStateMaximize
wdAnw.Application.ActiveWindow.ActivePane.View.Zoom.PageFit = wdPageFitBestFit
wdAnw.Activate


MyShell.Popup "Test-Epikrise: Drcken Sie das ""Karo"", um die ICD-Kodes " &_
  "einzutragen" & vbCrLf & "(ggf. vorher Fenster maximieren).", 20, "Anfang", vbOKOnly



End Function